summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2012-05-28 07:34:43 +0000
committerMichał Górny <mgorny@gentoo.org>2012-05-28 07:34:43 +0000
commit896691c9e3d677d0b993ad32f155dec88ff78872 (patch)
tree4524338394421593c4780f4eb744aade3687d4f4 /eclass/autotools-utils.eclass
parentBump to new prerelease. (diff)
downloadhistorical-896691c9e3d677d0b993ad32f155dec88ff78872.tar.gz
historical-896691c9e3d677d0b993ad32f155dec88ff78872.tar.bz2
historical-896691c9e3d677d0b993ad32f155dec88ff78872.zip
autotools.eclass no longer supports re-inheriting so we need to override AUTOTOOLS_AUTO_DEPEND for good...
Diffstat (limited to 'eclass/autotools-utils.eclass')
-rw-r--r--eclass/autotools-utils.eclass7
1 files changed, 2 insertions, 5 deletions
diff --git a/eclass/autotools-utils.eclass b/eclass/autotools-utils.eclass
index 490c08465e54..b17a15bbec3e 100644
--- a/eclass/autotools-utils.eclass
+++ b/eclass/autotools-utils.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/autotools-utils.eclass,v 1.50 2012/05/22 14:29:06 mgorny Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/autotools-utils.eclass,v 1.51 2012/05/28 07:34:43 mgorny Exp $
# @ECLASS: autotools-utils.eclass
# @MAINTAINER:
@@ -111,15 +111,12 @@ esac
# Note that dependencies are added for autoconf, automake and libtool only.
# If your package needs one of the external tools listed above, you need to add
# appropriate packages to DEPEND yourself.
-[[ ${AUTOTOOLS_AUTORECONF} ]] || _autotools_auto_dep=no
+[[ ${AUTOTOOLS_AUTORECONF} ]] || : ${AUTOTOOLS_AUTO_DEPEND:=no}
-AUTOTOOLS_AUTO_DEPEND=${_autotools_auto_dep} \
inherit autotools eutils libtool
EXPORT_FUNCTIONS src_prepare src_configure src_compile src_install src_test
-unset _autotools_auto_dep
-
# @ECLASS-VARIABLE: AUTOTOOLS_BUILD_DIR
# @DEFAULT_UNSET
# @DESCRIPTION: